Up

# NSMenuItemCell

### Authors

Michael Hanni (`mhanni@sprintmail.com`)

Copyright: (C) 1999 Free Software Foundation, Inc.

# Software documentation for the NSMenuItemCell class

## NSMenuItemCell : NSButtonCell

> Declared in:
>   AppKit/NSMenuItemCell.h

> Conforms to:
>   NSCopying
>   NSCoding

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -calcSize
- -drawBorderAndBackgroundWithFrame:inView:
- -drawImageWithFrame:inView:
- -drawKeyEquivalentWithFrame:inView:
- -drawSeparatorItemWithFrame:inView:
- -drawStateImageWithFrame:inView:
- -drawTitleWithFrame:inView:
- -imageRectForBounds:
- -imageWidth
- -isHighlighted
- -keyEquivalentRectForBounds:
- -keyEquivalentWidth
- -menuItem
- -menuView
- -needsDisplay
- -needsSizing
- -setHighlighted:
- -setMenuItem:
- -setMenuView:
- -setNeedsDisplay:
- -setNeedsSizing:
- -stateImageRectForBounds:
- -stateImageWidth
- -titleRectForBounds:
- -titleWidth

### calcSize

- (void) calcSize;
Availability: OpenStep
Description forthcoming.

### drawBorderAndBackgroundWithFrame: inView:

- (void) drawBorderAndBackgroundWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;
Availability: OpenStep
Description forthcoming.

### drawImageWithFrame: inView:

- (void) drawImageWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;
Availability: OpenStep
Description forthcoming.

### drawKeyEquivalentWithFrame: inView:

- (void) drawKeyEquivalentWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;
Availability: OpenStep
Description forthcoming.

### drawSeparatorItemWithFrame: inView:

- (void) drawSeparatorItemWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;
Availability: OpenStep
Description forthcoming.

### drawStateImageWithFrame: inView:

- (void) drawStateImageWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;
Availability: OpenStep
Description forthcoming.

### drawTitleWithFrame: inView:

- (void) drawTitleWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;
Availability: OpenStep
Description forthcoming.

### imageRectForBounds:

- (NSRect) imageRectForBounds: (NSRect)cellFrame;
Availability: OpenStep
Description forthcoming.

### imageWidth

- (float) imageWidth;
Availability: OpenStep
Description forthcoming.

### isHighlighted

- (BOOL) isHighlighted;
Availability: OpenStep
Description forthcoming.

### keyEquivalentRectForBounds:

- (NSRect) keyEquivalentRectForBounds: (NSRect)cellFrame;
Availability: OpenStep
Description forthcoming.

### keyEquivalentWidth

- (float) keyEquivalentWidth;
Availability: OpenStep
Description forthcoming.

### menuItem

- (NSMenuItem*) menuItem;
Availability: OpenStep
Description forthcoming.

### menuView

- (NSMenuView*) menuView;
Availability: OpenStep
Description forthcoming.

### needsDisplay

- (BOOL) needsDisplay;
Availability: OpenStep
Description forthcoming.

### needsSizing

- (BOOL) needsSizing;
Availability: OpenStep
Description forthcoming.

### setHighlighted:

- (void) setHighlighted: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setMenuItem:

- (void) setMenuItem: (NSMenuItem*)item;
Availability: OpenStep
Description forthcoming.

### setMenuView:

- (void) setMenuView: (NSMenuView*)menuView;
Availability: OpenStep
Description forthcoming.

### setNeedsDisplay:

- (void) setNeedsDisplay: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setNeedsSizing:

- (void) setNeedsSizing: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### stateImageRectForBounds:

- (NSRect) stateImageRectForBounds: (NSRect)cellFrame;
Availability: OpenStep
Description forthcoming.

### stateImageWidth

- (float) stateImageWidth;
Availability: OpenStep
Description forthcoming.

### titleRectForBounds:

- (NSRect) titleRectForBounds: (NSRect)cellFrame;
Availability: OpenStep
Description forthcoming.

### titleWidth

- (float) titleWidth;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSMenuItemCell Class

### _imageSize

@protected NSSize _imageSize;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _imageToDisplay

@protected NSImage* _imageToDisplay;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _imageWidth

@protected float _imageWidth;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _keyEquivalentWidth

@protected float _keyEquivalentWidth;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _mcell_belongs_to_popupbutton

@protected BOOL _mcell_belongs_to_popupbutton;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _menuItem

@protected NSMenuItem* _menuItem;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _menuItemHeight

@protected float _menuItemHeight;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _menuView

@protected NSMenuView* _menuView;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _needs_display

@protected BOOL _needs_display;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _needs_sizing

@protected BOOL _needs_sizing;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _pad

@protected char _pad;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _stateImageWidth

@protected float _stateImageWidth;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _titleToDisplay

@protected NSString* _titleToDisplay;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _titleWidth

@protected float _titleWidth;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up